#
# spec file for package ypserv (Version 2.1)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcpd
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm tcpd

Name:         ypserv
Copyright:    GPL
Group:        Networking/Daemons
Requires:     make portmap
Autoreqprov:  on
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Version:      2.1
Release:      40
Summary:      YP - (NIS)-server
Source:       ypserv-%{version}.tar.bz2
Source1:      ypserv.init
Source2:      yppasswdd.init
Source3:      ypxfrd.init
Source4:      rc.config.ypserv
Source5:      rc.config.d.ypserv
Patch:        ypserv-%{version}.dif
Patch1:       ypserv.memleak.diff

%description
Configure your Linux PC as YP-(NIS)-server using this package.

Authors:
--------
    Peter Eriksson <pen@signum.se>
    Thorsten Kukuk <kukuk@suse.de>

SuSE series: n

%prep
%setup
%patch
%patch1

%build
rm -f config.cache
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{_prefix} --enable-fqdn --mandir=%{_mandir}
make

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
DOCDIR=%{_defaultdocdir}/yp
install -d -m 755 $RPM_BUILD_ROOT${DOCDIR}
install -d -m 755 $RPM_BUILD_ROOT${DOCDIR}/ypserv
make install DESTDIR=$RPM_BUILD_ROOT
#install contrib/ypslave $RPM_BUILD_ROOT/usr/sbin/
install -m 644 etc/ypserv.conf $RPM_BUILD_ROOT/etc/
install -m 644 etc/securenets $RPM_BUILD_ROOT/var/yp
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/ypserv
install -m 755 %SOURCE2 $RPM_BUILD_ROOT/etc/init.d/yppasswdd
install -m 755 %SOURCE3 $RPM_BUILD_ROOT/etc/init.d/ypxfrd
# install rc.config.ypserv and rc.config.d.ypserv
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 %SOURCE5 $RPM_BUILD_ROOT/var/adm/fillup-templates/
ln -sf ../../etc/init.d/yppasswdd	$RPM_BUILD_ROOT/usr/sbin/rcyppasswdd
ln -sf ../../etc/init.d/ypxfrd		$RPM_BUILD_ROOT/usr/sbin/rcypxfrd
ln -sf ../../etc/init.d/ypserv   	$RPM_BUILD_ROOT/usr/sbin/rcypserv

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%post
mkdir -p var/adm/notify/messages
cat << EOT > var/adm/notify/messages/ypserv-securenets
Hallo,  (english text below)
Der NIS server "ypserv" benutzt nun die "/var/yp/securenets" Datei
und ist nicht laenger gegen die tcp wrapper Bibliothek gelinkt. Bitte
passen sie die neue Konfigurationsdatei an Ihr Netz an.
Hello,
The NIS server "ypserv" isn't linked any longer against the tcp wrapper
library. Instead the config file "/var/yp/securenets" is used.
Plese adjust this file.
Have a lot of fun...
                          Your SuSE Team
EOT
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  if ! [ -d etc/rc.config.d ] ; then
     mkdir -p etc/rc.config.d
  fi
  if ! [ -f etc/rc.config.d/ypserv.rc.config ] ; then
     bin/fillup -q -r -i etc/rc.config var/adm/fillup-templates/rc.config.d.ypserv etc/rc.config.d/ypserv.rc.config
     mv etc/rc.config.new etc/rc.config
  else
     bin/fillup -q etc/rc.config.d/ypserv.rc.config var/adm/fillup-templates/rc.config.d.ypserv
  fi
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.ypserv
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.ypserv"
  echo "and update by hand."
fi
sbin/insserv etc/init.d/ypserv
sbin/insserv etc/init.d/ypxfrd
sbin/insserv etc/init.d/yppasswdd

%postun
sbin/insserv etc/init.d

%files
%doc NEWS README TODO COPYING ChangeLog
/var/adm/fillup-templates/rc.config.ypserv
/var/adm/fillup-templates/rc.config.d.ypserv
%config /etc/init.d/yppasswdd
%config /etc/init.d/ypserv
%config /etc/init.d/ypxfrd
%config /var/yp/Makefile
%config(noreplace) /var/yp/securenets
%config /etc/ypserv.conf
%dir /usr/lib/yp
%doc %{_mandir}/man5/netgroup.5.gz
%doc %{_mandir}/man5/ypserv.conf.5.gz
%doc %{_mandir}/man8/makedbm.8.gz
%doc %{_mandir}/man8/mknetid.8.gz
%doc %{_mandir}/man8/pwupdate.8.gz
%doc %{_mandir}/man8/revnetgroup.8.gz
%doc %{_mandir}/man8/rpc.yppasswdd.8.gz
%doc %{_mandir}/man8/rpc.ypxfrd.8.gz
%doc %{_mandir}/man8/ypinit.8.gz
%doc %{_mandir}/man8/yppasswdd.8.gz
%doc %{_mandir}/man8/yppush.8.gz
%doc %{_mandir}/man8/ypserv.8.gz
%doc %{_mandir}/man8/ypxfr.8.gz
%doc %{_mandir}/man8/ypxfrd.8.gz
/usr/include/rpcsvc/ypxfrd.x
/usr/lib/yp/makedbm
/usr/lib/yp/create_printcap
/usr/lib/yp/mknetid
/usr/lib/yp/pwupdate
/usr/lib/yp/revnetgroup
/usr/lib/yp/yphelper
/usr/lib/yp/ypinit
/usr/lib/yp/ypxfr
/usr/lib/yp/ypxfr_*
/usr/sbin/rcyppasswdd
/usr/sbin/rcypserv
/usr/sbin/rcypxfrd
/usr/sbin/rpc.ypxfrd
/usr/sbin/rpc.yppasswdd
/usr/sbin/yppush
/usr/sbin/ypserv
#/usr/sbin/ypslave

%changelog -n ypserv
* Mon Oct 21 2002 - kukuk@suse.de
- Add fix for memory leak in file handle caching
* Sat Sep 08 2001 - kukuk@suse.de
- Lot of improvements for yphelper (needed by YaST2) [Bug #10296]:
- allow IP numbers for finding maps
- add extra parameter to allow specification of domainname
- Do a reverse lookup on both host keys before comparing them
  and ignore the case of the characters
* Thu Sep 06 2001 - kukuk@suse.de
- Add /usr/lib/yp/ypxfr_* to allow the sysadmin to sync NIS maps
  with cron jobs [Bug #10195]
* Mon Sep 03 2001 - kukuk@suse.de
- Update to final ypserv 2.1:
- Add parameter to rpc.yppasswdd to register on special port
- Lot of documentation fixes
* Thu Aug 30 2001 - kukuk@suse.de
- Update to ypserv 2.1 snapshot
- Fix manual pages [Bug #9901]
- Fix ypxfr fallback mode
* Wed Aug 08 2001 - kukuk@suse.de
- Update to ypserv 2.0
* Tue Aug 07 2001 - kukuk@suse.de
- Fix reading of YPPWD_SRCDIR form ypserv.rc.config
* Fri Jun 29 2001 - schwab@suse.de
- Fix conflicting declaration.
* Wed Mar 21 2001 - kukuk@suse.de
- Update to 1.3.12, fix to short timeout in ypxfrd_getmap.c
* Thu Feb 01 2001 - kukuk@suse.de
- Fix typo in yppasswdd init script [Bug #6232]
* Sat Jan 06 2001 - kukuk@suse.de
- Fix post and postun section (call of insserv) [Bug #5238]
* Mon Nov 27 2000 - kukuk@suse.de
- Fix rpc.ypxfrd manual page
* Sun Nov 26 2000 - kukuk@suse.de
- Use new initscripts in /etc/init.d
* Thu Nov 02 2000 - kukuk@suse.de
- Move ypclient subpackage into extra main packages
* Fri Sep 29 2000 - kukuk@suse.de
- Add missing %%dir entries in ypclients filelist
* Tue Sep 26 2000 - kukuk@suse.de
- Update to ypbind-mt 1.7
* Wed Jul 19 2000 - kukuk@suse.de
- Fix typo: If NIS is not configured, exit with zero.
* Thu Jul 13 2000 - kukuk@suse.de
- Fix setting of domainname if no domainname is set
* Thu Jun 29 2000 - kukuk@suse.de
- Set the domainname if no domainname is already set [Bug 3018]
* Tue Jun 27 2000 - kukuk@suse.de
- Fix long standing bug in /var/yp/Makefile
* Sun Jun 04 2000 - kukuk@suse.de
- Remove old ypbind-3.3 and ypbind-bsd
- Remove obsolete ypbind versions from file list
- Add all doc dirs to file list
* Tue May 16 2000 - kukuk@suse.de
- Add new scripts for LPRng/printcap over NIS
* Mon May 15 2000 - kukuk@suse.de
- Use /var/yp/securenets, not tcp wrapper
* Wed May 10 2000 - kukuk@suse.de
- Remove ypmake
- Add sleep to ypbind restart
- Use BuildRoot
* Tue May 09 2000 - kukuk@suse.de
- ypbind: Remove /var/yp/binding on stop
* Thu Apr 20 2000 - kukuk@suse.de
- minor corrections for the SuSE Howto
* Tue Apr 18 2000 - kukuk@suse.de
- Now really add tcpd to need for build
* Tue Apr 18 2000 - kukuk@suse.de
- Add "probe" to /sbin/init.d/ypclient
* Tue Apr 18 2000 - kukuk@suse.de
- Close file handles on error case
* Sat Apr 15 2000 - kukuk@suse.de
- Update to ypserv 1.3.11
- Add tcpd to need for build
* Fri Mar 10 2000 - kukuk@suse.de
- Remove debug messages
* Fri Mar 10 2000 - kukuk@suse.de
- Apply lost yp/Makefile fix
* Wed Feb 23 2000 - kukuk@suse.de
- Fix ypxfr bug.
* Thu Jan 20 2000 - kukuk@suse.de
- ypserv: Update to 1.3.10
- Move /usr/man -> /usr/share/man
- Fix [Bug 1303]
* Sun Nov 07 1999 - kukuk@suse.de
- yppush: Fix bug with Solaris NIS slave
* Sat Oct 30 1999 - kukuk@suse.de
- yppasswd: fix possible buffer overun
* Mon Oct 25 1999 - kukuk@suse.de
- ypserv: /var/yp/Makefile bugfix for non-shadow Systems
* Sat Oct 23 1999 - kukuk@suse.de
- SuSEconfig.ypclient: Ignore the date for comparing different versions
* Fri Oct 22 1999 - kukuk@suse.de
- yp-tools: Update to version 2.4
- SuSEconfig.ypclient: Fix + handling in /etc{passwd|group} (BUG#704)
* Tue Oct 19 1999 - kukuk@suse.de
- ypserv: Update to version 1.3.9 (security fixes)
- yp-tools: Fix yppasswd messages
* Thu Oct 14 1999 - kukuk@suse.de
- ypserv: Update to version 1.3.8
- ypbind-mt: Update to version 1.6
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 30 1999 - kukuk@suse.de
- Add nisdomainname and ypdomainname
* Fri Aug 27 1999 - kukuk@suse.de
- Update to ypserv 1.3.7
- Add yppush patch for Irix slave server
- Add ypbind-mt patch for glibc 2.1.2
* Wed Jul 14 1999 - kukuk@suse.de
- Add ypwhich.1 to filelist
- Change hosts alias from hosts.byaddr to hosts.byname
* Wed Jun 30 1999 - kukuk@suse.de
- Remove old, bogus debug message from rpc.yppasswdd
* Mon Jun 14 1999 - kukuk@suse.de
- /var/yp/Makefile: don't build shadow map if we merge passwd
  with shadow.
* Fri Jun 04 1999 - kukuk@suse.de
- Make source directory for passwd, shadow and group a variable
  in rc.config
* Thu Jun 03 1999 - kukuk@suse.de
- Update all sources to latest version
- Make ypbind-mt default
- Support more then 1 server in /etc/yp.conf
- Add START_YPBIND to /sbin/init.d/ypclient, /etc/rc.config
* Thu Apr 29 1999 - kukuk@suse.de
- rc (ypserv): Send SIGHUP for reload.
- rc (ypbind): Send SIGHUP for reload, wait until ypbind finds
  an NIS server.
* Thu Apr 22 1999 - kukuk@suse.de
- ypslave (ypserv): If ypserv runs, send a clear cache to it.
* Wed Mar 31 1999 - kukuk@suse.de
- ypserv.spec: Remove duplicate rc* entries, create relative rc
  links.
- ypserv/Makefile.Linux: don't create absolute rc* links.
- ypbind-3.3/Makefile.Linux: Likewise.
* Mon Mar 29 1999 - kukuk@suse.de
- yp-tools: Fix typo in manpage
* Sat Mar 27 1999 - ro@suse.de
- changed AM_PROG_INSTALL to AC_PROG_INSTALL in ypbind-3.3
* Sun Mar 14 1999 - kukuk@suse.de
- ypserv: Fix new typo
* Sun Mar 14 1999 - kukuk@suse.de
- ypserv: Fix 2 typos in yphelper parser
* Wed Mar 03 1999 - ro@suse.de
- ypbind-3.3 switch from AM_PROG_INSTALL to AC_PROG_INSTALL
* Mon Mar 01 1999 - kukuk@suse.de
- Update ypserv to 1.3.6.91
* Fri Feb 19 1999 - kukuk@suse.de
- ypserv-1.3.6.90: Fix merging of group with gshadow
* Wed Feb 17 1999 - kukuk@suse.de
- yp-tools-2.2: Fix some typos in german translation
- ypbind-3.3: Add ypbind-3.3-glibc4 patch
- update to ypserv 1.3.6.90
* Tue Feb 16 1999 - kukuk@suse.de
- ypclients: Replaced with yp-tools 2.2
* Fri Jan 08 1999 - ro@suse.de
- ypbind-3.3 : use rpcsvc include file from libc !
* Thu Jan 07 1999 - ro@suse.de
- specfile: check for any alpha
* Fri Dec 18 1998 - ro@suse.de
- specfile: respect alpha
- ypserv: dont redefine snprintf for glibc
* Mon Dec 07 1998 - ro@suse.de
- added rc-links ; updated rest of init-scripts
* Mon Dec 07 1998 - ro@suse.de
- updated init-scripts
* Wed Nov 11 1998 - ro@suse.de
- ypbind: cast arg4 of semctl explicitly to (union semun)
* Mon Sep 21 1998 - ro@suse.de
- ypbind-bsd: for glibc link against libnsl instead of libbsd
- ypclients:  for glibc use libnsl and libcrypt where needed
- ypserv:     define _GNU_SOURCE for use of getopt_long
* Tue Oct 28 1997 - florian@suse.de
- start ypclient after ypserv
- update to ypbind 3.3
- update to ypserv 1.2.4
- create bug-fix for ypserv to include FQDN in the maps
- add startup scripts for ypserv, ypxfrd, yppasswd together with
  fillup parameters in rc.config
- move some programs from ypserv package to ypclient as they are
  client programs
* Mon Oct 27 1997 - ro@suse.de
- added ypclient as source -- changes-file is pasted at the end
  of this file
* Wed Aug 13 1997 - bs@suse.de
- fixed SuSEconfig.ypclient for "+user:...." entries.
* Wed Aug 06 1997 - bs@suse.de
- fixed bsh-2.0 problem in /var/yp/Makefile
* Fri Jun 06 1997 - bs@suse.de
- clear all lines passwd beginnig with "^+" and not "^+$" in
  SuSEconfig.ypclient
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Mon Apr 28 1997 - bs@suse.de
  new version 2.2-970318
  added ypbind-bsd-1.15
* Thu Jan 02 1997 - bs@suse.de
  deleted chmod in SuSEconfig.ypclient (is done via /etc/permissions)
* Thu Jan 02 1997 - florian@suse.de
- update to version 1.1.3
* Thu Jan 02 1997 - florian@suse.de
- update to new version 1.1.1
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 1.1.0.
- Enthaelt neues Programm ypmake mit shadow-Unterstuetzung.
  ypclient.changes:
